precision mediump float;

uniform sampler2D textureUnit0;
uniform sampler2D textureUnit1;
uniform sampler2D textureUnit2;
uniform sampler2D textureUnit3;

uniform int textureCount;
uniform int blendingMode[4];

varying vec2 texCoord[4];
varying vec4 vertexColor;
varying float fogWeight;
varying vec3 fogVertexColor;

varying vec4 replaceColor;

const vec4 WHITE = vec4(1,1,1,1);

void main() {
	vec4 col = texture2D(textureUnit0, texCoord[0]) * vertexColor;
	if (col.x >= 0.9 && col.y <= 0.1 && col.z <= 0.1){
		col = replaceColor;
	}
	gl_FragColor=col;
}
